<header class="m-dialog__header">
  <h1 class="m-dialog__header__title">Ik heb gewerkt</h1>
  <button class="m-dialog__header__close" (click)="onDecline()">
    <mat-icon>close</mat-icon>
  </button>
</header>
<div class="m-dialog__content">
  <form
    [formGroup]="registerWorkForm"
    (submit)="onRegisterWork(registerWorkForm)"
  >
    <div class="m-form-group">
      <label class="m-form-group__label" for="description"
        >Beschrijving van de taak</label
      >
      <input
        type="text"
        placeholder="Beschrijving"
        id="description"
        class="a-form-control"
        formControlName="description"
        maxlength="64"
        minlength="1"
      />
      <ul class="m-form-group__messages">
        <li
          class="m-form-group__message -error"
          *ngIf="
            descriptionControl.dirty &&
            descriptionControl.touched &&
            descriptionControl.hasError('required')
          "
        >
          <span><mat-icon>error</mat-icon></span> Je moet een beschrijving
          invullen
        </li>
        <li
          class="m-form-group__message -error"
          *ngIf="
            descriptionControl.dirty &&
            descriptionControl.touched &&
            (descriptionControl.hasError('maxlength') ||
              descriptionControl.hasError('minlength'))
          "
        >
          <span><mat-icon>error</mat-icon></span> Dit veld moet tussen 1 en 64
          tekens lang zijn.
        </li>
      </ul>
    </div>
    <div class="a-form-set">
      <p>
        Ik heb
      </p>
      <div class="m-form-group -inline">
        <button
          type="button"
          class="a-button -square -white -no-shadow"
          (click)="onDecreaseMinutes()"
          [disabled]="minutesWorkedControl.value <= 1"
        >
          <span class="a-button__icon">
            <mat-icon>remove</mat-icon>
          </span>
        </button>
        <input
          type="number"
          step="10"
          min="1"
          max="300"
          class="a-form-control -inline -white"
          formControlName="minutesWorked"
        />
        <button
          type="button"
          class="a-button -square -white -no-shadow"
          (click)="onIncreaseMinutes()"
          [disabled]="minutesWorkedControl.value > 299"
        >
          <span class="a-button__icon">
            <mat-icon>add</mat-icon>
          </span>
        </button>
        <ul class="m-form-group__messages">
          <li
            class="m-form-group__message -error"
            *ngIf="minutesWorkedControl.hasError('required')"
          >
            <span><mat-icon>error</mat-icon></span> Dit veld is verplicht.
          </li>
          <li
            class="m-form-group__message -error"
            *ngIf="
              minutesWorkedControl.hasError('min') ||
              minutesWorkedControl.hasError('max')
            "
          >
            <span><mat-icon>error</mat-icon></span> Waarde moet tussen 1 en 300
            zijn.
          </li>
        </ul>
      </div>
      <p class="no-margin">
        {{ minutesWorkedControl.value === 1 ? 'minuut' : 'minuten' }} gewerkt.
      </p>
    </div>
  </form>
</div>
<div class="a-double-action">
  <div class="a-double-action__actions">
    <button class="a-button -white" (click)="onDecline()">
      Annuleren
    </button>
    <button
      class="a-button"
      [ngClass]="'-' + theme"
      (click)="onRegisterWork(registerWorkForm)"
      [disabled]="!registerWorkForm.valid"
    >
      OK
    </button>
  </div>
</div>
